{
	"format_version": "1.12",
	"minecraft:recipe_shapeless": {
		"description": {
			"identifier": "magicalspells:magic_book"
		},
		"tags": [
			"crafting_table"
		],
		"ingredients": [
			{
				"item": "minecraft:book"
			},
			{
				"item": "minecraft:lapis_lazuli"
			},
			{
				"item": "minecraft:redstone"
			},
			{
				"item": "minecraft:glowstone_dust"
			}
		],
		"result": {
			"item": "magicalspells:magic_book"
		}
	}
}